<div class=" task-item d-flex    justify-content-between  align-items-center">
  <div>
    <mat-checkbox class="task-item__checkbox" color="primary"   (change)="toggleTask(taskDetails)">
    </mat-checkbox>
  </div>
  <div class="task-item__routingDiv" [routerLink]="['../task-details',taskDetails.id,groupId]" >
   <div>
    {{taskDetails?.title}}
   </div>

    <div >
      {{taskDetails?.deliveryDate}}

    </div>
    <div>

      {{taskDetails?.status}}
    </div>

  </div>
  <div>
    <button class="task-item__buttonFab-delete" (click)="deleteTask(taskDetails.id)" mat-mini-fab><img src="assets/delete-fab.svg" alt=""></button>
    <button class="task-item__buttonFab-tick" mat-mini-fab (click)="onChangeStatus('DONE',taskDetails.id)" ><img src="assets/tick-1.svg" alt=""></button>
   </div>
</div>
